Loading...
Searching...
No Matches
partial_sort_copy.hpp File Reference

## Functions

template<typename I , typename SI , typename O , typename SO , typename C = less, typename PI = identity, typename PO = identity> requires input_iterator<I> && sentinel_for<SI, I> && random_access_iterator<O> && sentinel_for<SO, O> && indirectly_copyable<I, O> && sortable<O, C, PO> && indirect_strict_weak_order<C, projected<I, PI>, projected<O, PO>>
constexpr O | ranges::partial_sort_copy (I first, SI last, O out_begin, SO out_end, C pred=C{}, PI in_proj=PI{}, PO out_proj=PO{})
| function template `partial_sort_copy`
template<typename InRng , typename OutRng , typename C = less, typename PI = identity, typename PO = identity> requires input_range<InRng> && random_access_range<OutRng> && indirectly_copyable<iterator_t<InRng>, iterator_t<OutRng>> && sortable<iterator_t<OutRng>, C, PO> && indirect_strict_weak_order<C, projected<iterator_t<InRng>, PI>, projected<iterator_t<OutRng>, PO>>
constexpr borrowed_iterator_t< OutRng > | ranges::partial_sort_copy (InRng &&in_rng, OutRng &&out_rng, C pred=C{}, PI in_proj=PI{}, PO out_proj=PO{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.